//
//  homeview.swift
//  CYNC Capstone
//
//  Created by Natasha Busie on 9/21/21.
//

import SwiftUI

struct homeview: View {
    var body: some View {
        VStack (alignment: .leading){
            Header(cync: "cync", county: "Gordon County")
            
        ScrollView(.horizontal) {
        HStack {
            GordonScroll(image: "gem", category: "downtown", heading: "all around gordon", desc: "downtown calhoun")
            GordonScroll(image: "copperCreek", category: "downtown", heading: "all around gordon", desc: "downtown calhoun")
            GordonScroll(image: "dining", category: "downtown", heading: "all around gordon", desc: "downtown calhoun")
            GordonScroll(image: "carters", category: "downtown", heading: "all around gordon", desc: "downtown calhoun")
            GordonScroll(image: "canoe", category: "downtown", heading: "all around gordon", desc: "downtown calhoun")
            GordonScroll(image: "rg", category: "downtown", heading: "all around gordon", desc: "downtown calhoun")
        }
         }
       }
    }
}

struct homeview_Previews: PreviewProvider {
    static var previews: some View {
        homeview()
    }
}

struct GordonScroll: View {
    var image: String
    var category: String
    var heading: String
    var desc: String
    var body: some View {
            VStack (alignment: .leading) {
                Image(image)
                    .resizable()
                    .aspectRatio(contentMode: .fit)
                HStack {
                    VStack(alignment: .leading) {
                        Text(category)
                            .font(.headline)
                            .foregroundColor(.secondary)
                        Text(heading)
                            .font(.title)
                            .fontWeight(.black)
                            .foregroundColor(.primary)
                            .lineLimit(2)
                        Text(desc.uppercased())
                            .font(.caption)
                            .foregroundColor(.secondary)
                }
                .layoutPriority(100)
                Spacer()
            }
            .padding()
        }
        .frame(width:300)
        .cornerRadius(10)
        .overlay(
            RoundedRectangle (cornerRadius: 10)
                .stroke(Color(.sRGB, red:150/255, green: 150/255, blue: 150/255,
                              opacity: 0.1), lineWidth: 1)
        )
        .padding([.top, .horizontal])
      }
    }

struct Header: View {
    var cync = String ()
    var county = String()
    
    var body: some View {
        VStack(alignment: .leading) {
            Text (cync)
                .font(.caption)
                .foregroundColor(.secondary)
                .frame(width: 60)
            Text(county)
                .font(.largeTitle)
                .foregroundColor(.primary)
                .fontWeight(.heavy)
                .layoutPriority(100)
                .frame(width: 250)
        }
    }
}
