//
//  resourcesNav.swift
//  CYNC Capstone
//
//  Created by Natasha Busie on 9/21/21.
//

import SwiftUI

struct resourcesNav: View {
    var body: some View {
        VStack {
            Headline(title: "Community")
        Button(action: {
            print("Events!") }) {
            Text("Events")
        Button(action: {
            print("Resources!")
            }, label: {
            Text("Resources")
            })
            Button(action: {
                print("Hotspots!")
            }, label: {
                Text("HotSpots")
            })
            Button(action: {
                print("Get Involved!")
            }, label: {
                Text("Get Involved")
            })
            }
        .buttonStyle(MyButtonStyle())
        }
    }

struct resourcesNav_Previews: PreviewProvider {
    static var previews: some View {
        resourcesNav()
    }
}

struct Headline: View {
    var title : String
    
    var body: some View {
        
        VStack(alignment: .leading, spacing: 2) {
            Text(title)
                .font(.system(.largeTitle, design: .rounded))
                .fontWeight(.black)
                .padding()
            
        }
    }
}

struct commiunityNav: View {
    var title : String
    var more : String
    
    var body: some View {
        VStack(alignment: /*@START_MENU_TOKEN@*/.center/*@END_MENU_TOKEN@*/, spacing: 2){
            Text("Resource")
                .font(.system(.title, design: .rounded))
                .fontWeight(.bold)
                .foregroundColor(.white)
                .multilineTextAlignment(.center)
            
            Text("See More")
                .font(.headline)
                .foregroundColor(.white)
        }
        .padding(30)
        .background(Color.gray)
    }
}
    
struct MyButtonStyle: ButtonStyle {
func makeBody(configuration: Self.Configuration) -> some View {
configuration.label
    .frame(minWidth: 0, maxWidth: .infinity)
    .padding()
    .foregroundColor(.white)
    .background(LinearGradient(gradient: Gradient(colors: [Color("Green"), Color("Gray")]), startPoint: .bottomTrailing, endPoint: .topLeading))
    .cornerRadius(10)
    .padding(.horizontal, 20)
    
        }
    }

}
